#!/usr/bin/env bash
RTLS_FRONTEND_PREFIX=/usr/rtls/rtls-frontend

## check current log which ran from root and move it to bak
DATE=$(date +%Y-%m-%d)

if [ -d $RTLS_FRONTEND_PREFIX/server/addons/vehicle_restriction_zones ]; then
  rm -rf $RTLS_FRONTEND_PREFIX/server/addons/vehicle_restriction_zones
fi

if [ -e $RTLS_FRONTEND_PREFIX/server/addons/vehicle_restriction_zones.js ]; then
  rm -rf $RTLS_FRONTEND_PREFIX/server/addons/vehicle_restriction_zones.js
fi

systemctl restart rtls-server
sudo systemctl is-active --quiet rtls-server-zone-manager && service rtls-server-zone-manager restart
sudo systemctl is-active --quiet rtls-zone-events-generator && service rtls-zone-events-generator restart

exit 0
